# Method Git.git()

Method git

  ``string` git(`string` `git_dir`, `string` `command`, `string` ... `args`)`

Description

  Run a git command, and get the output.

Parameter `git_dir`

  Directory containing the Git repository. May be `UNDEFINED` to specify the Git repository for the current directory.

Parameter `command`

  Git subcommand to execute.

Parameter `args`

  Arguemnts for `command`.

Returns

  Returns the output on `stdout` from running the command on success, and throws and error on failure.